API Reference
Auto-generated
Tools
API reference for tools endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.POST /api/v1/tools/bot-detection/results
POST
/api/v1/tools/bot-detection/resultsCreate Result
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| wire | object | Optional | Wire |
| header_order | string[] | Optional | Header Order |
| header_values | object | Optional | Header Values |
| js | object | Optional | Js |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/v1/tools/bot-detection/results \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"status": "ok"
}GET /api/v1/tools/bot-detection/results/{result_id}
GET
/api/v1/tools/bot-detection/results/{result_id}Get Bot Detection Result
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| result_id | string | Required | result_id |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/tools/bot-detection/results/<result_id> \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"status": "ok"
}POST /api/v1/tools/embed-loads
POST
/api/v1/tools/embed-loadsPost Embed Load
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| surface | string | Required | Surface |
| host | string | Optional | host |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/v1/tools/embed-loads \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"surface": "example_surface"
}'Response Example
JSON
{
"status": "ok"
}GET /api/v1/tools/embed-loads/badge/{variant}.svg
GET
/api/v1/tools/embed-loads/badge/{variant}.svgGet Badge
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| variant | string | Required | variant |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/tools/embed-loads/badge/<variant>.svg \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"status": "ok"
}